#   FILE: AUTHORS --
# AUTHOR: W. Michael Petullo <mike@flyn.org>
#   DATE: 28 March 2000
#
# Copyright (c) 1999 W. Michael Petullo <mike@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

%define rel 1
%define prefix /usr

Summary:  Provides an interface to the Festival speech synthesis package.
Name: speak
Version: 0.0.1
Release: %rel
Copyright: GPL
Group: Utilities/Speech
Source: %name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /home/mike/development/live
Packager: W. Michael Petullo <mike@flyn.org>
URL: http://www.flyn.org
Requires: festival sox psmisc

# ============================= description ====================================
%description
Speak is a text to speech script which provides a simple interface to the
Festival speech synthesis package.  The script attempts to detect when
EsounD is running and takes advantage of it.  Otherwise, speak uses the
computer's sound device directly.  Speak can be used for tasks such as
reading incoming email.

# ============================= changelog ======================================
%changelog

# ============================= prep ===========================================
%prep

# ============================= setup ==========================================
%setup

# ============================= build ==========================================
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

# ============================= install ========================================
%install
mkdir -p $RPM_BUILD_ROOT/usr/bin

# NOTE: The following trick only works with a modified header-vars.am.
# Change the line ``DESTDIR ='' in this file to ``DESTDIR =
# ${ENV_DESTDIR}.''
export ENV_DESTDIR=$RPM_BUILD_ROOT
make install

gzip -9 AUTHORS COPYING ChangeLog INSTALL NEWS README

# ============================= clean ==========================================
%clean
rm -rf $RPM_BUILD_ROOT

# ============================= pre ============================================
%pre

# ============================= post ===========================================
%post

# ============================= preun ==========================================
%preun

# ============================= postun =========================================
%postun

# ============================= files ==========================================
%files
%defattr(-, root, root)
%{prefix}/bin/speak.sh
%{prefix}/bin/read.sh
%{prefix}/bin/speak_and_delete.sh
%{prefix}/man/man?/*

# ============================= doc ============================================
%doc AUTHORS.gz COPYING.gz ChangeLog.gz INSTALL.gz NEWS.gz README.gz

# ============================= config =========================================
%config
